package seal_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"os"
)

type SealApplyUploadfileRequest struct {
	// <ext>core:true</ext> 【用印文档】用印文档 【作用】 1、用于上传本地文件，方便后续申请用印或补签 2、文件上传后，将根据电子签章后台物理用印设置中的【用印申请文件存储格式】配置，将文件转换为PDF格式或保留文件原格式 【传参】 支持的文件格式：pdf，doc，docx，wps，rtf，png，gif，jpg，jpeg，tiff，html，htm，xls，xlsx。
	File *os.File `json:"file"`
	// <ext>core:true</ext> 【文件标题】文件标题 【作用】 作为上传的用印文档的名称
	Title string `json:"title"`
}

func (obj SealApplyUploadfileRequest) GetUrl() string {
	return "/seal/apply/uploadfile"
}

func (obj SealApplyUploadfileRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("title", obj.Title)
	parameter.AddFiles("file", obj.File)
	return parameter
}
